Skip to navigation

Create Binding

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
agent_idstringRequired
transportenumRequired
Allowed values:
destination_idstring or nullOptional
destination_kindenum or nullOptional
Allowed values:
installation_idstring or nullOptional
recipient_idstring or nullOptional
verification_idstring or nullOptional

Response

Successful Response
agent_idstring
destination_idstring or null
destination_kindstring or null
generationinteger
idstring
installation_generationinteger or null
installation_idstring or null
recipient_idstring or null
statusstring
transportenum
Allowed values:
identity_app_idslist of stringsOptional
namestringOptionalDefaults to HTTP integration
pending_capintegerOptionalDefaults to 100
per_minuteintegerOptionalDefaults to 60
personal_accessbooleanOptionalDefaults to false

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error